Skip to main content
POST
/
v1
/
notes
/
update
curl --location --request PUT 'https://api.stateset.com/v1/note' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
    "id": "nt_1NXWPnCo6bFb1KQto6C8OWvE",
    "title": "Note Title",
    "body": "Note Body",
    "created_date": "2020-01-01T00:00:00.000Z",
    "last_modified_date": "2020-01-01T00:00:00.000Z"
}'
{
    "notes": [
        {
            "id": "nt_1NXWPnCo6bFb1KQto6C8OWvE",
        },
    ]
}   

Documentation Index

Fetch the complete documentation index at: https://docs.stateset.com/llms.txt

Use this file to discover all available pages before exploring further.

Body

id
string
This is the id of the note.
title
string
This is the title of the note.
body
string
This is the body of the note.
created_date
string
This is the created date of the note.
last_modified_date
string
This is the last modified date of the note.
created_by
string
This is the user that created the note.
last_modified_by
string
This is the user that last modified the note.

Response

id
string
This is the id of the note
title
string
This is the title of the note
body
string
This is the body of the note
created_date
string
This is the created date of the note
last_modified_date
string
This is the last modified date of the note
curl --location --request PUT 'https://api.stateset.com/v1/note' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
    "id": "nt_1NXWPnCo6bFb1KQto6C8OWvE",
    "title": "Note Title",
    "body": "Note Body",
    "created_date": "2020-01-01T00:00:00.000Z",
    "last_modified_date": "2020-01-01T00:00:00.000Z"
}'
{
    "notes": [
        {
            "id": "nt_1NXWPnCo6bFb1KQto6C8OWvE",
        },
    ]
}